import type { NotificationOptions } from '../types';
export interface MaNotificationProps {
    notification: NotificationOptions;
}
declare const _default: import("vue").DefineComponent<MaNotificationProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    remove: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<MaNotificationProps> & Readonly<{
    onRemove?: (...args: any[]) => any;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
export default _default;
